<?php
/**
* @version		1.1.0
 * @package		Joomla
 * @subpackage	Edocman
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2011 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
 defined('_JEXEC') or die ; 

/**
 * This field was written base on the category layout of docman extension 
 * @category	DOCman
 * @package		DOCman15
 * @copyright	Copyright (C) 2003 - 2009 Johan Janssens and Mathias Verraes. All rights reserved.
 * @license	    This file can not be redistributed without the written consent of the 
 				original copyright holder. This file is not licensed under the GPL. 
 * @link     	http://www.joomladocman.org
 */
JHtml::_('behavior.modal');

$item = $this->item ;
if ($item->image)
	$imgSrc = JURI::base().'media/com_edocman/document/thumbs/'.$item->image ;
else {
	if (!isset($this->config->show_default_document_thumbnail) || $this->config->show_default_document_thumbnail) {
		$ext = JString::strtolower(JFile::getExt($item->filename)) ;
		if (JFile::exists(JPATH_ROOT.DS.'components/com_edocman/assets/images/icons/32x32/'.$ext.'.png')) {
			$imgSrc = JURI::base().'components/com_edocman/assets/images/icons/32x32/'.$ext.'.png' ;
		} else {
			$imgSrc = JURI::base().'components/com_edocman/assets/images/icons/32x32/zip.png';
		}	
	} else {
		$imgSrc = '' ;
	}	
}	
$url = JRoute::_('index.php?option=com_edocman&task=view_document&id='.$item->id.'&Itemid='.$this->Itemid);
$user = & JFactory::getUser() ;
$userId = $user->get('id');   	
?>
<form method="post" name="edocman_form" id="edocman_form" action="index.php">
<input type="hidden" name="cid[]" value="0" id="document_id" />
	<input type="hidden" name="category_id" value="<?php echo $this->categoryId ; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="Itemid" value="<?php echo $this->Itemid; ?>" />
	<input type="hidden" name="option" value="com_edocman" />
	<?php echo JHtml::_('form.token'); ?>
	
	<script language="javascript">
    	function deleteConfirm(id) {
    		var msg = "<?php echo JText::_('EDOCMAN_DELETE_CONFIRM'); ?>";
    		if (confirm(msg)) {
    			var form = document.edocman_form ;
    			form.task.value = 'documents.delete';
    			document.getElementById('document_id').value = id;
    			form.submit();
    		}						
    	}
	</script>		
</form>
<div id="dm_docs">
	<div class="dm_row">
		<div class="dm_cat">
			<?php
				if ($imgSrc) {
				?>
					<img src="<?php echo $imgSrc; ?>" alt="<?php echo $item->title; ?>" class="dm_thumb-left" />
				<?php	
				}
			?>			
			<h1 class="dm_title">																											
				<?php echo $item->title; ?>			
			</h1>		
			<div class="dm_description">
				<?php 
					if ($this->config->show_description) 
					{
						echo $item->description;
					}
					
					if ($this->config->show_short_description)
					{
						echo $item->short_description;
					}
				?>
			</div>
		</div>	
		<div class="clr"></div>
		<?php
			if (empty($this->item->document_url) && ($this->config->show_filename || $this->config->show_filesize || $this->config->show_filetype || $this->config->show_hits || $this->config->show_creation_date || $this->config->show_modified_date || $this->config->show_download_in)) {
			?>
				<div id="dm_details">
					<table cellspacing="0" summary="Joom Donation">
						<col id="prop"/>
						<col id="val"/>				
						<tbody>
						<?php
							if ($this->config->show_filename) {
							?>
								<tr>				
									<td>
										<strong><?php echo JText::_('EDOCMAN_FILENAME') ?>:</strong>
									</td>
									<td>
										<?php echo $this->item->original_filename; ?>
									</td>
								</tr>	
							<?php					
							}
							if ($this->config->show_filesize) {
							?>
								<tr>
									<td><strong><?php echo JText::_('EDOCMAN_FILESIZE') ?>:</strong></td>
									<td><?php echo $this->item->data->size; ?></td>
								</tr>		
							<?php	
							}
							if ($this->config->show_filetype) {
							?>
								<tr>
									<td><strong><?php echo JText::_('EDOCMAN_FILE_TYPE'); ?>:</strong></td>
									<td><?php echo $this->item->data->mime; ?></td>
								</tr>	
							<?php	
							}
							if ($this->config->show_hits) {
							?>
								<tr>
									<td><strong><?php echo JText::_('EDOCMAN_HITS'); ?>:</strong></td>
									<td><?php echo $item->hits; ?>&nbsp;<?php echo JText::_('EDOCMAN_HITS'); ?></td>
								</tr>	
							<?php	
							}
							if ($this->config->show_creation_date_file) 
							{
							?>
								<tr>
									<td><strong><?php echo JText::_('EDOCMAN_CREATED_DATE'); ?>:</strong></td>
									<td>
										<?php echo $this->item->data->getDate('c'); ?>
									</td>
								</tr>		
							<?php	
							}
							
							if ($this->config->show_modified_date_file) {
							?>
								<tr>
									<td><strong><?php echo JText::_('EDOCMAN_LAST_UPDATED'); ?>:</strong></td>
									<td>
										<?php echo $this->item->data->getDate('m'); ?>
									</td>
								</tr>
							<?php	
							}
							
							
							
							
							/**** ajout de la date de cration et de modificaion du document ***/
							if ($this->config->show_creation_date_document) {
							?>
								<tr>
									<td><strong><?php echo JText::_('EDOCMAN_CREATED_DATE_DOCUMENT'); ?>:</strong></td>
									<td>
										<?php 
											echo JHtml::_('date', $this->item->created_time, JText::_('DATE_FORMAT_LC2'));
										?>
									</td>
								</tr>
							<?php	
							}
							
							if ($this->config->show_modified_date_document) {
							?>
								<tr>
									<td><strong><?php echo JText::_('EDOCMAN_LAST_UPDATED_DOCUMENT'); ?>:</strong></td>
									<td>
										<?php echo JHtml::_('date', $this->item->modified_time, JText::_('DATE_FORMAT_LC2')); ?>
									</td>
								</tr>
							<?php	
							}
							/*******************************************************************/
							
							
							
							
                            if ($this->item->license_id) {
                            ?>
                            	<tr>
									<td><strong><?php echo JText::_('EDOCMAN_LICENSE'); ?>:</strong></td>
									<td>
										<a href="<?php echo JRoute::_('index.php?option=com_edocman&view=license&id='.$this->item->license_id.'&Itemid='.$this->Itemid.'&tmpl=component'); ?>" class="modal"><?php echo $this->item->license_title ; ?></a>
									</td>
								</tr>
                            <?php    
                            }							
						?>																																		
						</tbody>
					</table>			
				</div>		
				<div class="clr"></div>				
			<?php							
			}		
			$canDownload = $user->authorise('edocman.download', 'com_edocman.document.'.$item->id) ;
        	$canEdit	= $user->authorise('core.edit',			'com_edocman.document.'.$item->id);        	
        	$canDelete	= $user->authorise('core.delete',			'com_edocman.document.'.$item->id);        	        	
		    $canCheckin	= $user->authorise('core.admin', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0;
		    $canEditOwn	= $user->authorise('core.edit.own',		'com_edocman.document.'.$item->id) && $item->created_user_id == $userId;    		    
		    $canChange	= $user->authorise('core.edit.state',	'com_edocman.document.'.$item->id) && $canCheckin;
		    $canDownload = ($item->user_ids =="" && ($canDownload || $canEdit || ($item->created_user_id == $userId)) || ($item->user_ids != '' && in_array($userId, explode(',', $item->user_ids)))) ;		    		   
			if ($this->showTaskBar) {
			?>
				<div class="dm_taskbar">
				    <ul>							    
						<li>
							<a href="javascript:window.history.go(-1)"><?php echo JText::_('EDOCMAN_BACK'); ?></a>			
						</li>												
				    	<?php			
			    	        if ($canDownload) {
			    	            $downloadUrl = JRoute::_('index.php?option=com_edocman&task=document.download&id='.$item->id.'&Itemid='.$this->Itemid) ;
			    	        ?>
								<li>
									<a href="<?php echo $downloadUrl; ?>">
										<?php echo JText::_('EDOCMAN_DOWNLOAD'); ?>
									</a>
								</li>
							<?php    
							   if ($this->config->show_view_button && $item->canView) {
							       $viewUrl = JRoute::_('index.php?option=com_edocman&task=document.viewdoc&id='.$item->id.'&Itemid='.$this->Itemid) ;
						        ?>
    						        <li>
            							<a href="<?php echo $viewUrl; ?>" target="_blank">
            								<?php echo JText::_('EDOCMAN_VIEW'); ?>
            							</a>
            						</li>
						        <?php
							   } 							
			    	        }	    													    							    																																			   					    					    												    						    						
						    if ($canEdit) {
						        $url = JRoute::_('index.php?option=com_edocman&task=document.edit&id='.$item->id.'&Itemid='.$this->Itemid) ;    
						    ?>
						    	<li>
        							<a href="<?php echo $url; ?>">
        								<?php echo JText::_('EDOCMAN_EDIT'); ?>
        							</a>
        						</li>
						    <?php    
						    }					    			                            
	                        if ($canDelete) {	                            
						    ?>
						    	<li>
        							<li>
        							<a href="javascript:deleteConfirm(<?php echo $item->id; ?>);">
        								<?php echo JText::_('EDOCMAN_DELETE'); ?>
        							</a>
        						</li>
        						</li>
						    <?php    
						    }
						    						    
						    if ($canChange) {
						        if ($item->published) {
						            $text = JText::_('EDOCMAN_UNPUBLISH');
						            $url = JRoute::_('index.php?option=com_edocman&task=documents.unpublish&cid[]='.$item->id.'&Itemid='.$this->Itemid) ;
						        } else {
						            $url = JRoute::_('index.php?option=com_edocman&task=documents.publish&cid[]='.$item->id.'&Itemid='.$this->Itemid) ;
						            $text = JText::_('EDOCMAN_PUBLISH');
						        }   						        
						    ?>
						    	<li>
        							<a href="<?php echo $url; ?>">
        								<?php echo $text; ?>
        							</a>
        						</li>
						    <?php    
						    }
						    
						?>	
				    </ul>
				    <div class="clr"></div>
				</div>	
			<?php	 
			}

			if ($this->config->jcomment_integration) {
				$comments = JPATH_ROOT.'/components/com_jcomments/jcomments.php';
				if (file_exists($comments))
				{
					require_once($comments);
					echo '<div style="clear:both; padding-top: 10px;"></div>';
					echo JComments::showComments($item->id, 'com_edocman', $item->title);
				}	
			}			
		?>																											
	</div>
</div>		